
QGIS Application - Bug report #2295

value tool plug-in dont work as aspected on osx

2009-12-18 09:20 AM - epifanio -

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12355

Description

Tring to load a raster grass layer (file type : float64)

e.g. "elevation.10m" from spearfish grass location.

give me a temporary osx freeze and a qgis crash.

This the log tring to run qgis from command linew (build in debug mode enabled) :

http://www.geofemengineering.it/data/qgis_log.txt

while this the osx crash log :

http://www.geofemengineering.it/data/osx_log.txt

History

#1 - 2009-12-18 09:26 AM - epifanio -

Replying to epifanio:

Tring to load a raster grass layer (file type : float64)

e.g. "elevation.10m" from spearfish grass location.

give me a temporary osx freeze and a qgis crash.

This the log tring to run qgis from command linew (build in debug mode enabled) :

http://www.geofemengineering.it/data/qgis_log.txt

note, if i disable the "value tool" plug-in i'm able to work without crash.

while this the osx crash log :

http://www.geofemengineering.it/data/osx_log.txt
#2 - 2010-05-20 12:10 AM - Paolo Cavallini

Still true?

#3 - 2010-06-14 12:49 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Valuetool has been fixed to work again with GRASS rasters. The proposed patch has not yet been applied but I guess it will be soon.

I guess we can close the ticket meanwhile you test the patched version under OsX (you find the patch here 

http://lists.osgeo.org/pipermail/qgis-user/2010-June/008872.html ).

Reopen if necessary.
